'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Footer for BannerMessage. Content is centered by default.
 */

var BannerMessageFooter = function BannerMessageFooter(props) {
  var children = props.children,
      alignment = props.alignment,
      center = props.center,
      right = props.right,
      rest = _objectWithoutProperties(props, ['children', 'alignment', 'center', 'right']);

  function getAlignmentClass() {
    var defaultAlignment = 'banner-message__footer-center';
    if (center || alignment && alignment === 'center') return defaultAlignment;
    if (right || alignment && alignment === 'right') {
      return 'banner-message__footer-right';
    }
    return defaultAlignment;
  }

  return _react2.default.createElement(
    'div',
    _extends({ className: 'banner-message__footer ' + getAlignmentClass() }, rest),
    children
  );
};

exports.default = BannerMessageFooter;
//# sourceMappingURL=BannerMessageFooter.js.map