'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var NotificationBadge = function NotificationBadge(props) {
  var size = props.size,
      notificationCount = props.notificationCount,
      rest = _objectWithoutProperties(props, ['size', 'notificationCount']);

  return _react2.default.createElement(
    'span',
    _extends({ className: 'notificationIcon ' + size }, rest),
    _react2.default.createElement(_semanticUiReact.Icon, { name: 'bell outline', size: size }),
    notificationCount ? _react2.default.createElement(
      'span',
      { className: 'notificationCount ' + size },
      notificationCount
    ) : null
  );
};

NotificationBadge.defaultProps = {
  notificationCount: 0
};

NotificationBadge.propTypes = {
  notificationCount: _propTypes2.default.number
};

exports.default = NotificationBadge;
//# sourceMappingURL=NotificationBadge.js.map