'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _NotificationMessage = require('./NotificationMessage');

var _NotificationMessage2 = _interopRequireDefault(_NotificationMessage);

var _NotificationEmpty = require('./NotificationEmpty');

var _NotificationEmpty2 = _interopRequireDefault(_NotificationEmpty);

var _NotificationDetail = require('./NotificationDetail');

var _NotificationDetail2 = _interopRequireDefault(_NotificationDetail);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var NotificationBody = function NotificationBody(props) {
  function getNotification(notification, dataFor) {
    if (dataFor === 'notificationList') {
      return _react2.default.createElement(_NotificationMessage2.default, {
        key: notification.id,
        notification: notification,
        onNotificationClicked: onNotificationClicked,
        onClearNotification: onClearNotification
      });
    } else {
      return _react2.default.createElement(_NotificationDetail2.default, {
        notification: notification,
        onClearNotification: onClearNotification
      });
    }
  }
  function getNotificationContent() {
    if (props.selectedNotification) {
      return getNotification(props.selectedNotification, 'detailedNotification');
    }
    if (notificationsLength > 0) {
      return notifications.map(function (notification) {
        return getNotification(notification, 'notificationList');
      });
    } else {
      return _react2.default.createElement(_NotificationEmpty2.default, null);
    }
  }

  var children = props.children,
      notifications = props.notifications,
      onNotificationClicked = props.onNotificationClicked,
      onClearNotification = props.onClearNotification,
      rest = _objectWithoutProperties(props, ['children', 'notifications', 'onNotificationClicked', 'onClearNotification']);

  var notificationsLength = notifications.length;
  var notificationContent = getNotificationContent();

  return _react2.default.createElement(
    'div',
    _extends({ className: 'notificationBody' }, rest),
    notificationContent
  );
};

NotificationBody.defaultProps = {};

NotificationBody.propTypes = {};

exports.default = NotificationBody;
//# sourceMappingURL=NotificationBody.js.map